Bug 814884 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/nauryl_40nauryl_2ecom at 0x987780c>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:22910a2e32f96d1acf35b26aaf9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 19:49 EDT by Gergely POLONKAI
Modified: 2013-02-13 05:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 05:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gergely POLONKAI 2012-04-20 19:49:18 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.1-5.fc16.i686
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/nauryl_40nauryl_2ecom at 0x987780c>
time:           2012. ápr. 21., szombat, 00.19.53 CEST
uid:            1000
username:       polesz

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/nauryl_40nauryl_2ecom at 0x987780c>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/nauryl_40nauryl_2ecom at 0x987780c>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x98773cc>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/nauryl_40nauryl_2ecom at 0x987780c>

smolt_data:
:
:
:Általános
:=================================
:UUID: 70d07ed0-859d-4295-947f-93577a2cde95
:OP: Fedora release 16 (Verne)
:Alapértelmezett futási szint: Unknown
:Nyelv: hu_HU.utf8
:Platform: i686
:BogoMIPS: 4800.23
:CPU szállító: AuthenticAMD
:CPU modell: AMD Athlon(tm) 64 X2 Dual Core Processor 4600+
:CPU lépés: 2
:CPU család: 15
:CPU modell szám: 75
:CPU-k száma: 2
:CPU sebesség: 2399
:Rendszer tár: 3031
:Rendszer lapozó: 5087
:Szállító: System manufacturer
:Rendszer: System Product Name System Version
:Formátum: Desktop
:Rendszermag: 3.3.1-5.fc16.i686
:SELinux engedélyezve: 1
:SELinux szabályzat: targeted
:SELinux kényszerít: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Eszközök
:=================================
:(4318:1376:4163:33544) pci, pata_amd, STORAGE, MCP67 IDE Controller
:(4318:1379:4163:33544) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1379:4163:33544) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1351:4163:33544) pci, None, RAM, M2N68-AM Motherbord
:(4318:1346:4163:33544) pci, nForce2_smbus, SERIAL, M2N68-AM Motherbord
:(4318:1352:4163:33544) pci, None, PCI/ISA, M2N68-AM Motherboard
:(4130:4353:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] Address Map
:(4130:4352:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] HyperTransport Technology Configuration
:(4130:4355:0:0) pci, k8temp, HOST/PCI, K8 [Athlon64/Opteron] Miscellaneous Control
:(4130:4354:0:0) pci, None, HOST/PCI, K8 [Athlon64/Opteron] DRAM Controller
:(4318:2592:5218:8225) pci, nouveau, VIDEO, GT216 [GeForce GT 220]
:(4318:3042:5218:8225) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:1374:4163:33544) pci, ohci_hcd, USB, M2N68-AM Motherboard
:(4318:1375:4163:33544) pci, ehci_hcd, USB, M2N68-AM Motherboard
:(4318:1377:4163:33544) pci, None, PCI/PCI, MCP67 PCI Bridge
:(4318:1379:4163:33544) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1360:4163:33544) pci, ahci, STORAGE, M2N68-AM Motherboard
:(4354:7:4354:4106) pci, snd_ca0106, MULTIMEDIA_AUDIO, SB0570 [SB Audigy SE]
:(4318:1379:4163:33544) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(5772:19:4486:14867) pci, ath5k, ETHERNET, AirPlus DWL-G520 Wireless PCI Adapter (rev. B)
:(4318:1379:4163:33544) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1374:4163:33544) pci, ohci_hcd, USB, M2N68-AM Motherboard
:(4318:1375:4163:33544) pci, ehci_hcd, USB, M2N68-AM Motherboard
:(4318:1378:4163:33544) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:(4318:1379:4163:33544) pci, pcieport, PCI/PCI, MCP67 PCI Express Bridge
:
:
:Fájlrendszer információ
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_machina-lv_root / ext4 4096 4096 13092026 10367482 10236450 3276800 3050084 3050084
:/dev/sda2 /boot ext4 1024 1024 508745 413159 387559 128016 127782 127782
:/dev/mapper/vg_machina-lv_home /home ext4 4096 4096 141589152 104119882 97032983 35438592 35371463 35371463
:/dev/sdd1 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/mapper/user-home WITHHELD ext4 4096 4096 64473908 37785588 34519784 16334848 16082987 16082987
:
Comment 1 Fedora End Of Life 2013-01-16 06:29:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 05:49:52 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.